Name:		gstm
Version:	1.3.7
Release:	%mkrel 4
Summary:	Gnome SSH Tunnel Manager - a front-end to ssh tunneling
Group:		Networking/Remote access
License:	GPLv2
URL:		https://github.com/dallenwilson/gstm
Source0:	https://github.com/dallenwilson/gstm/releases/download/%{version}/gstm-%{version}.tar.gz
Patch1:		0001-Correctly-handle-canceling-exit-when-closing-main-wi.patch
Patch2:		0002-Hide-main-window-on-close-when-systray-is-active.patch
Patch3:		0003-gstm.desktop-Removed-deprecated-category-updated-rem.patch
Patch4:		0004-Make-single-instance-behavior-work-correctly.patch
Patch5:		0005-Autoconf-Automake-cleanup-intltool-support-removed.patch
Patch6:		0006-Clean-up-of-missed-tasks-meant-for-previous-commit.patch
Patch7:		0007-gstm-Move-config-location.patch
Patch8:		0008-Fix-missing-stdbool.h-include.patch
Patch9:		0009-libappindicator-dependency-updates.patch
# Mga patches

BuildRequires:	git-core
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libxml-2.0)
Requires:	openssh-clients

%description
gSTM, short for Gnome SSH Tunnel Manager, is a graphical front-end for
managing ssh tunneled port redirects.

This is a Gtk3 port of gstm, based on v1.2 available at:
https://sourceforge.net/projects/gstm/

%package -n gaskpass
Group:		Networking/Remote access
Summary:	A Gnome X11 passphrase dialog for OpenSSH

%description -n gaskpass
A Gnome X11 passphrase dialog for OpenSSH.

%prep
%autosetup -p1 -Sgit_am

# replace deprecated IS_APP_INDICATOR to APP_IS_INDICATOR
sed -i -e 's/IS_APP_INDICATOR/APP_IS_INDICATOR/g' src/systray.c

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# handle docs in %%files section
rm -rf %{buildroot}%{_docdir}/gstm/

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/gstm
%{_datadir}/applications/gstm.desktop
%{_datadir}/pixmaps/gSTM.png
%{_datadir}/gstm/

%files -n gaskpass
%{_bindir}/gaskpass


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.3.7-4.mga10
+ Revision: 2248226
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 1.3.7-3.mga10
+ Revision: 2164845
- rebuild for libxml2 2.13.6

* Sat Feb 25 2023 daviddavid <daviddavid> 1.3.7-2.mga9
+ Revision: 1945300
- add upstream patch to updates libayatana-appindicator dependency
- replace also deprecated IS_APP_INDICATOR to APP_IS_INDICATOR

* Sun Oct 30 2022 wally <wally> 1.3.7-1.mga9
+ Revision: 1900168
- switch to a GTK3 fork
- new version 1.3.7 with latest patches from upstream

* Wed Apr 06 2022 umeabot <umeabot> 1.2-19.mga9
+ Revision: 1845803
- Mageia 9 Mass Rebuild

* Fri Sep 18 2020 joequant <joequant> 1.2-18.mga8
+ Revision: 1628419
- gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 1.2-17.mga8
+ Revision: 1512710
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2-16.mga7
+ Revision: 1298098
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 1.2-15.mga6
+ Revision: 954306
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-14.mga5
+ Revision: 750081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-13.mga5
+ Revision: 679969
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-12.mga4
+ Revision: 505279
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-11.mga3
+ Revision: 352711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 erwan <erwan> 1.2-10.mga2
+ Revision: 174914
- Fixing xml2 inclusion.
- Fixing xml2 inclusion
- Adding xml2 as dependance
- Adding patch to include x11 at linking time
- Adding x11 at linking time
- imported package gstm

